org.apache.geode.management

## Class EvictionAttributesData

- java.lang.Object
- - org.apache.geode.management.EvictionAttributesData

-     public class EvictionAttributesData
      extends java.lang.Object

  Composite data type used to distribute the eviction attributes for a `Region`.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvictionAttributesData(java.lang.String algorithm, java.lang.Integer maximum, java.lang.String action)` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAction()` Returns the action that will be taken on entries that are evicted.
    `java.lang.String` | `getAlgorithm()` Returns the algorithm (policy) used to determine which entries will be evicted.
    `java.lang.Integer` | `getMaximum()` The unit of this value is determined by the definition of the `EvictionAlgorithm` set by one of the creation methods e.g.
    `java.lang.String` | `toString()` String representation of EvictionAttributesData

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EvictionAttributesData

          @ConstructorProperties(value={"algorithm","maximum","action"})
          public EvictionAttributesData(java.lang.String algorithm,
                                                                                                       java.lang.Integer maximum,
                                                                                                       java.lang.String action)

      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.

  - ### Method Detail

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

      Returns the algorithm (policy) used to determine which entries will be evicted.

    - #### getMaximum

          public java.lang.Integer getMaximum()

      The unit of this value is determined by the definition of the `EvictionAlgorithm` set by one of the creation methods e.g. `EvictionAttributes.createLRUEntryAttributes()` For algorithm LRU HEAP null will be returned
      Returns:
        maximum value used by the `EvictionAlgorithm` which determines when the `EvictionAction` is performed.

    - #### getAction

          public java.lang.String getAction()

      Returns the action that will be taken on entries that are evicted.

    - #### toString

          public java.lang.String toString()

      String representation of EvictionAttributesData
      Overrides:
        `toString` in class `java.lang.Object`